Skip to content

Modify Comment



POST /api/v1/error_track/comment/{comment_uuid}/modify

Overview

Route Parameters

Parameter Name Type Required Description
comment_uuid string Y comment uuid
Allow empty string: False

Body Request Parameters

Parameter Name Type Required Description
comment string Y Comment content
Allow empty: False
extend json Extended information
Allow empty: True
attachmentUUIDs array Attachment UUID list
Allow empty: True

Parameter Supplementary Description

Request Example

curl 'https://openapi.truewatch.com/api/v1/error_track/comment/<comment_uuid>/modify' \
-H 'DF-API-KEY: <DF-API-KEY>' \
-H 'Content-Type: application/json;charset=UTF-8' \
--data-raw '{"comment":"jon test modify","attachmentUUIDs":[],"extend":{"links":[],"members":[]}}'

Response

{
    "code": 200,
    "content": {
        "attachments": [],
        "comment": "jon test modify",
        "createAt": 1772789206,
        "creator": "acnt_8b4bd2b8782646f3ba8f6554193f5997",
        "deleteAt": -1,
        "errorType": "AbortError",
        "extend": {
            "links": [],
            "members": []
        },
        "id": 178,
        "issueID": "f8ff39d2b020aa185213e2d364badc8c",
        "issueUUID": "isset_95f37a50926845c797ed5ceede14eff2",
        "status": 0,
        "updateAt": 1772789345.6964145,
        "updator": "acnt_8b4bd2b8782646f3ba8f6554193f5997",
        "uuid": "issetcomment_ef672a07207e41b08de3e5ef39215582",
        "workspaceUUID": "wksp_84c4a0044edc4f878ea88e4517659bda"
    },
    "errorCode": "",
    "message": "",
    "success": true,
    "traceId": "498bdeea7de5384701ddaad085f4e93e"
}